@echo off
cls
echo.
echo         SECOND FRONT Version 1.0 
echo.
echo Loading graphic and event files for next phase of the game
echo Please choose from the options below:
echo.
echo 1. Load "The Longest Day" (6/6/44)
echo 2. Load "Expanding the Beachhead" (6/7/44-6/13/44)
echo 3. Load "Battle of the Hedgerows" (6/14/44-6/19/44)
echo 4. Load "The Channel Storm" (6/20/44-6/22/44)
echo 5. Load "The Fall of Cherbourg" (6/23/44-6/30/44)
echo 6. Load "The Capture of Caen" (7/1/44-7/12/44)
echo 7. Load "The Road to St Lo" (7/13/44-7/18/44)
echo 8. Load "Operation Goodwood" (7/19/44-7/24/44)
echo 9. Load "Operation Cobra" (7/25/44-8/1/44)
echo 10. Load "Mortain: The Last Gasp" (8/2/44-8/9/44)
echo 11. Load "Carnage at Falaise" (8/10/44-8/20/44)
echo 12. Exit without Loading
echo.


if "%OS%"=="Windows_NT" goto winxp

choice /c:123456789ABX Enter your selection

if errorlevel 12 goto done
if errorlevel 11 goto Opt11
if errorlevel 10 goto Opt10
if errorlevel 9 goto Opt9
if errorlevel 8 goto Opt8
if errorlevel 7 goto Opt7
if errorlevel 6 goto Opt6
if errorlevel 5 goto Opt5
if errorlevel 4 goto Opt4
if errorlevel 3 goto Opt3
if errorlevel 2 goto Opt2
if errorlevel 1 goto Opt1

:winxp
set /P choice=Type a number (1-12) and hit Enter: 
if %choice%==1 goto Opt1
if %choice%==2 goto Opt2
if %choice%==3 goto Opt3
if %choice%==4 goto Opt4
if %choice%==5 goto Opt5
if %choice%==6 goto Opt6
if %choice%==7 goto Opt7
if %choice%==8 goto Opt8
if %choice%==9 goto Opt9
if %choice%==10 goto Opt10
if %choice%==11 goto Opt11
if %choice%==12 goto done
goto winxp

:Opt1
echo.
echo D-Day, Phase 1
copy Rules\rules1.txt rules.txt
copy units1.bmp units.bmp
copy cterrain1.bmp terrain1.bmp
copy cterrain2.bmp terrain2.bmp
copy Events\events1.txt events.txt
copy Game\game1.txt game.txt
copy sound\Custom3.wav sound\Extra3.wav
copy sound\Mchnguns.wav sound\Extra8.wav
copy sound\Aircombt.wav sound\Jetcombt.wav
copy sound\Aircombt.wav sound\Divebomb.wav
copy sound\Mchnguns.wav sound\Elephant.wav
copy sound\Mchnguns.wav sound\Extra5.wav
copy sound\Cavalry.wav sound\Smallexp.wav
copy sound\Missile.wav sound\Extra4.wav
copy sound\Medgun.wav sound\Biggun.wav
DELEVENT SF44.scn
goto done

:Opt2
echo.
echo D-Day, Phase 2
copy Rules\rules2.txt rules.txt
copy units2.bmp units.bmp
copy Events\events2.txt events.txt
copy Game\game2.txt game.txt
copy sound\Maxon.wav sound\Extra3.wav
copy sound\Mchnguns.wav sound\Extra8.wav
DELEVENT SF.sav
goto done

:Opt3
echo.
echo D-Day, Phase 3
copy Rules\rules3.txt rules.txt
copy units3.bmp units.bmp
copy Events\events3.txt events.txt
copy Game\game3.txt game.txt
copy sound\Maxon.wav sound\Extra3.wav
copy sound\Extra6.wav sound\Extra8.wav
DELEVENT SF.sav
goto done

:Opt4
echo.
echo D-Day, Phase 4
copy Rules\rules4.txt rules.txt
copy units4.bmp units.bmp
copy sterrain1.bmp terrain1.bmp
copy sterrain2.bmp terrain2.bmp
copy Events\events4.txt events.txt
copy Game\game4.txt game.txt
copy sound\Maxon.wav sound\Extra3.wav
copy sound\Extra6.wav sound\Extra8.wav
DELEVENT SF.sav
goto done

:Opt5
echo.
echo Phase 5
copy Rules\rules5.txt rules.txt
copy units5.bmp units.bmp
copy cterrain1.bmp terrain1.bmp
copy cterrain2.bmp terrain2.bmp
copy Events\events5.txt events.txt
copy Game\game5.txt game.txt
copy sound\Maxon.wav sound\Extra3.wav
copy sound\Extra6.wav sound\Extra8.wav
DELEVENT SF.sav
goto done

:Opt6
echo.
echo Phase 6
copy Rules\rules6.txt rules.txt
copy units6.bmp units.bmp
copy Events\events6.txt events.txt
copy Game\game6.txt game.txt
copy sound\Maxon.wav sound\Extra3.wav
copy sound\Extra6.wav sound\Extra8.wav
DELEVENT SF.sav
goto done

:Opt7
echo.
echo Phase 7
copy Rules\rules7.txt rules.txt
copy units7.bmp units.bmp
copy Events\events7.txt events.txt
copy Game\game7.txt game.txt
copy sound\Maxon.wav sound\Extra3.wav
copy sound\Extra6.wav sound\Extra8.wav
DELEVENT SF.sav
goto done

:Opt8
echo.
echo Phase 8
copy Rules\rules8.txt rules.txt
copy units8.bmp units.bmp
copy Events\events8.txt events.txt
copy Game\game8.txt game.txt
copy sound\Maxon.wav sound\Extra3.wav
copy sound\Extra6.wav sound\Extra8.wav
DELEVENT SF.sav
goto done

:Opt9
echo.
echo Phase 9
copy Rules\rules9.txt rules.txt
copy units9.bmp units.bmp
copy Events\events9.txt events.txt
copy Game\game9.txt game.txt
copy sound\Maxon.wav sound\Extra3.wav
copy sound\Extra6.wav sound\Extra8.wav
DELEVENT SF.sav
goto done

:Opt10
echo.
echo Phase 10
copy Rules\rules10.txt rules.txt
copy units10.bmp units.bmp
copy Events\events10.txt events.txt
copy Game\game10.txt game.txt
copy sound\Maxon.wav sound\Extra3.wav
copy sound\Extra6.wav sound\Extra8.wav
DELEVENT SF.sav
goto done

:Opt11
echo.
echo Phase 11
copy Rules\rules11.txt rules.txt
copy units10.bmp units.bmp
copy Events\events11.txt events.txt
copy Game\game11.txt game.txt
copy sound\Maxon.wav sound\Extra3.wav
copy sound\Extra6.wav sound\Extra8.wav
DELEVENT SF.sav
goto done



:done
echo.
exit
quit